# db_checkpoint

           db_checkpoint [-1v] [-h home] [-k kbytes] [-L file] [-p min]

## DESCRIPTION

           The   db_checkpoint  utility  is  a  daemon  process  that
           monitors  the  database   log   and   periodically   calls
           txn_checkpoint(3) to checkpoint it.

           The options are as follows:

           -1   Checkpoint the log once, and then exit.

           -h   Specify a home directory for the database.

           -k   Checkpoint  the  database  at least as often as every
                kbytes of log file are written.

           -L   Log the execution of the db_checkpoint utility to the
                specified file in the following format, where ``###''
                is the process ID, and  the  date  is  the  time  the
                utility starting running.

                db_checkpoint: ### Wed Jun 15 01:23:45 EDT 1995

                This  file  will  be  removed  if  the  db_checkpoint
                utility exits gracefully.

           -p   Checkpoint the database at least every min minutes.

           -v   Write the time of each  checkpoint  to  the  standard
                output.

           At  least  one  of  the  -1,  -k  and  -p  options must be
           specified.

           The db_checkpoint utility attaches  to  DB  shared  memory
           regions.   In  order to avoid region corruption, it should
           always be given the chance to detach and exit  gracefully.
           To  cause db_checkpoint to clean up after itself and exit,
           send it an interrupt signal (SIGINT).

           The db_checkpoint utility exits 0 on success, and >0 if an
           error occurs.

## ENVIRONMENT VARIABLES

           The  following  environment variables affect the execution
           of db_checkpoint:

           DB_HOME
                If the -h option is not specified and the environment
                variable  DB_HOME  is  set, it is used as the path of
                the database home, as described in db_appinit(3).

## SEE ALSO

           The DB library is a family of  groups  of  functions  that
           provides  a  modular programming interface to transactions
           and record-oriented file  access.   The  library  includes
           support  for  transactions, locking, logging and file page
           caching, as well as various indexed access methods.   Many
           of  the  functional  groups  (e.g.,  the file page caching
           functions)  are  useful  independent  of  the   other   DB
           functions,  although some functional groups are explicitly
           based on other functional groups (e.g.,  transactions  and
           logging).   For  a  general description of the DB package,
           see db_intro(3).

           db_archive(1), db_checkpoint(1), db_deadlock(1), db_dump(1),
           db_load(1), db_recover(1), db_stat(1), db_intro(3),
           db_appinit(3), db_cursor(3), db_dbm(3), db_internal(3),
           db_lock(3), db_log(3), db_mpool(3), db_open(3), db_thread(3),
           db_txn(3)